Subject: bug#15156: 24.3; !MEM FULL!

From: "Sebastien Vauban" <[email-masked]>
Date: Tue, 17 Sep 2013 10:15:30 +0200

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 06 Sep 2013 14:17:28 +0200
>> 
>> >   (gdb) break xmalloc if size > 10000
>> >   (gdb) commands
>> >          > bt
>> > 	 > continue
>> > 	 > end
>> >   (gdb)
>> >
>> > And similarly for xzalloc and xrealloc.
>> >
>> > Then run Emacs as usual, and the code which allocates these large
>> > chunks of memory will be shown in the backtraces.
>> 
>> If I do the above, I already have lots of output, and no Emacs running...
>
> Try enlarging the 10000 to 100000 (10 times), and keep enlarging until
> you succeed in reducing the noise to a bearable level.
>
>> (gdb) set debugexceptions 1
>
> Why?  You don't need this.  It produces more noise.

I think this bug can be safely CLOSED.

I don't get such problems anymore with the current trunk (114155, for the
latest binary). It must have been solved since 24.3.1.